{
  description = "systemflake";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
     # url = "github:NixOS/nixpkgs/nixos-23.11";
    };
    chaotic.url = "github:chaotic-cx/nyx/nyxpkgs-unstable";


     lix-module = {
      url = "https://git.lix.systems/lix-project/nixos-module/archive/2.90.0.tar.gz";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    
    nix-alien.url = "github:thiagokokada/nix-alien";
    nix-ld.url = "github:Mic92/nix-ld";
    nix-ld.inputs.nixpkgs.follows = "nixpkgs";
    home-manager.url = "github:nix-community/home-manager";
    #home-manager.url = "github:nix-community/home-manager-23.11";
    nixvim = { url = "github:nix-community/nixvim";
        inputs.nixpkgs.follows = "nixpkgs";
        };
    #nix-doom-emacs.url = "github:nix-community/nix-doom-emacs";
  };

  nixConfig = {
    extra-substituters = [
      "https://nyx.chaotic.cx/"
    ];
    extra-trusted-public-keys = [
      "chaotic-nyx.cachix.org-1:HfnXSw4pj95iI/n17rIDy40agHj12WfF+Gqk6SonIT8="
    ];
  };

  outputs = {
    self,
    nixpkgs,
    home-manager,
    nixvim,
    nix-ld,
    nix-alien,
    lix-module,
    chaotic,
    #nix-doom-emacs,
    ...
  }: {
    nixosConfigurations = {
      # Add hostname here
      nixos = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        
        modules = [
          ./configuration.nix
          lix-module.nixosModules.default

          chaotic.nixosModules.default 
           #nix-ld.nixosModules.nix-ld
          #{ programs.nix-ld.dev.enable = true; }
/*
home-manager.nixosModules.home-manager {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.i3le = { ... }: {
                imports = [ 
                ./system/home-manager/home.nix
                #nix-doom-emacs.hmModule
                 nixvim.homeManagerModules.nixvim

                ];
            };
          } # comment out for fallback
*/
                ];

      };
    };
  };
}
