{lib, conig, pkgs, ...}:
{  
   imports = [
      ./dm.nix 
      ./fonts.nix 
    ];
   #services.xserver.enable = true;
   #services.xserver.displayManager.gdm.enable = true;
   services.xserver.desktopManager.gnome.enable = true;
     
   environment.gnome.excludePackages = (with pkgs; [
      gnome-photos
      gnome-tour
      ]) ++ (with pkgs.gnome; [
       cheese # webcam tool
       gnome-music
       gedit # text editor
       epiphany # web browser
       geary # email reader
       gnome-characters
       tali # poker game
       iagno # go game
       hitori # sudoku game
       atomix # puzzle game
       yelp # Help view
       gnome-contacts
       gnome-initial-setup
       ]);
     programs.dconf.enable = true;
     services.udev.packages = with pkgs; [ gnome.gnome-settings-daemon ];
     environment.systemPackages = with pkgs; [
      	gnome.adwaita-icon-theme 
    	  agnomeExtensions.appindicator
	      gnomeExtensions.gnome-clipboard
        gnome-console # kgx 
       
     ];
	
}
