{lib, config, pkgs, ...}:
{
  imports = [
    ../dm.nix
    ../fonts.nix
  ];
  programs.hyprland = { 
    enable = true;
    xwayland.enable = true;
  };
  # light 
  services.illum.enable = true;

  #programs.dconf.enable = true;
    
  environment.systemPackages = with pkgs; [
    # theme
    gnome.adwaita-icon-theme
    libsForQt5.qt5.qtquickcontrols2   
    libsForQt5.qt5.qtgraphicaleffects
    #theme-obsidian2    
    eww
    #waybar
    # workspace correction
    (pkgs.waybar.overrideAttrs (oldAttrs: {
        mesonFlags = oldAttrs.mesonFlags ++ [ "-Dexperimental=true" ];
      })
    )
    # notify daemon
    dunst
    libnotify
    # wallpaper
    swww
    swaybg
    # terminal
    alacritty
    # app launcher
    tofi
    #bemenu
    #rofi-wayland
    #wofi
    fuzzel
    # screenshot
    #ksnip
    swappy
    gwenview
    grim
    slurp
    wl-clipboard
    cliphist
    gscreenshot
    # sound control
    pavucontrol
    pamixer
    # brightness extra
    brightnessctl
    # fm
    #xfce.thunar
    #dolphin
    gnome.nautilus
    #cinnamon.nemo
    # lockscreen
    swaylock
    # applets
    #networkmanagerapplet
    #flameshot
    grimblast
  ];
  xdg.portal.extraPortals = with pkgs; [ 
    xdg-desktop-portal-gtk 
  ];
  security.pam.services.swaylock = {};
  
  fonts.packages = with pkgs; [
  
  font-awesome
  powerline-fonts
  powerline-symbols
  (nerdfonts.override { fonts = [ "NerdFontsSymbolsOnly" ]; })
  
  ];
  
  environment.sessionVariables = {
      #WLR_NO_HARDWARE_CURSORS = "1";
      # electron support
      NIXOS_OZONE_WL = "1";
  };
/*
gtk = {
  enable = true;
  theme = {
    package = pkgs.adw-gtk3;
    name = "adw-gtk3";
  };
};*/
  qt = {
    enable = true;
    platformTheme = "gnome";
    style = "adwaita-dark";
  };

 /* 
  services.greetd = {
  enable = true;
  settings = rec {
    initial_session = {
      command = "/usr/bin/env hyprland";
      user = "vieta";
    };
    default_session = initial_session;
    };
  };
  */
    
}
